var path = require('path')
var webpack = require('webpack')

var v = 'development';// "production" | "development" | "none"
var version = "1.0.0";

module.exports = {
	mode: v,
	devtool: 'source-map',
	entry: {
		'AnHome':'./src/app.tsx', 
		'AnExt':'./src/login-app.tsx'
	},

	output: {
	  filename: "[name]-" + version + ".min.js",
	  path: path.resolve(__dirname, 'dist'),
	  library: 'test',
	  libraryTarget: 'umd'
	},

	//服务配置
	devServer: {
		//contentBase: __dirname, -- 请注意，这种写法已弃用         
		static: {
			directory: path.join(__dirname, "dist")
		}
	},

	plugins: [ ],

	resolve: {
		extensions: ['*', '.ts', '.js', '.tsx', '.jsx']
	},

	module: {
		rules: [
		{   test: /\.jsx?$/,
			loader: 'babel-loader',
			options: {
			  presets: ['@babel/preset-react', '@babel/preset-env'] }
		},
		{ test: /\.tsx?$/,
		  loader : 'babel-loader',
		  options: { presets: [
				'@babel/preset-react',
				'@babel/preset-typescript',
				'@emotion/babel-preset-css-prop',
				'@babel/preset-env' ] }
		},
		{   test: /\.css$/,
			use : ["style-loader", "css-loader"]
		},
		{   test: /\.svg$/,
			use : [ { loader: "babel-loader" },
					{ loader: "react-svg-loader" } ]
		} ]
	}
}
